8
Indiquez l’intérêt que vous portez à cette question
1

SPIP 3.0.24 - Installation - Choix type BDD impossible

version SPIP site source : 3.0.24

version locale SPIP : 3.2 pour essai, objectif 3.0.24

OS : Ubuntu 16.04.03 LTS

Bonjour,

je suis chargé de la « mise en local » d’un site sous SPIP 3.0.24.

Après avoir récupéré les dossiers/fichiers qui m’importent par FTP (dump BDD, IMG, squelettes & plugins).

Je me dis qu’il est plus prudent d’avoir la même version en local que celle du site source en ligne, pour les plugins, squelettes etc..

Je choisis donc d’installer la même version en localhost..

Cependant, arrivé au choix de la base de données (étape 2), on ne me propose que PostgreSQL, et je vous assure que j’ai installé toutes les applications, extensions et modules correspondants pour Sqlite, MySQL, et donc PostgreSQL.

J’aimerais donc avoir accès aux choix de Sqlite (le dump bdd du site source est en .sqlite), ou limite mySQL, mais, je ne veux pas de Postgre..
Je m’en remets donc à votre expérience sans quoi mon projet va tomber à l’eau !!

Bien entendu, j’ai essayé de faire migrer le site sur la version la plus récente (en ligne sur spip 3.024 , local sur spip 3.2) , qui elle me proposait tous les types de bdd, mais impossible d’importer le dump bdd car non compatible…

Cela fait bientôt une semaine que je bloque sur cette procédure de migration en local réputée super simple.

Merci de votre attention,